# ===================================================================================================================
#  The PlaYUVer Libs CMake configuration file
#
#             ** File generated automatically, do not modify **
#
#  Usage from an external project:
#    In your CMakeLists.txt, add these lines:
#
#    find_package(PlaYUVer REQUIRED)
#    include_directories(${PLAYUVER_INCLUDE_DIRS})
#    target_link_libraries(MY_TARGET_NAME ${PLAYUVER_LINKER_LIBS})
#
#    If the module is found then PLAYUVER_<MODULE>_FOUND is set to TRUE.
#
#    This file will define the following variables:
#      - PLAYUVER_LINKER_LIBS              : The list of all imported targets for OpenCV modules.
#      - PLAYUVER_CXX_FLAGS
#      - PLAYUVER_INCLUDE_DIRS             : The PlaYUVer include directories.
#      - PLAYUVER_VERSION                  : The version of this PlaYUVer build: "0.18.3"
#      - PLAYUVER_VERSION_MAJOR            : Major version part of PLAYUVER_VERSION: "0"
#      - PLAYUVER_VERSION_MINOR            : Minor version part of PLAYUVER_VERSION: "18"
#      - PLAYUVER_VERSION_PATCH            : Patch version part of PLAYUVER_VERSION: "3"
#
# ===================================================================================================================


# ======================================================
#  Variables:
# ======================================================
SET(PLAYUVER_VERSION 0.18.3)
SET(PLAYUVER_VERSION_MAJOR  0)
SET(PLAYUVER_VERSION_MINOR  18)
SET(PLAYUVER_VERSION_PATCH  3)

SET( PLAYUVER_LINKER_LIBS "" )
SET( PLAYUVER_CXX_FLAGS "" )
SET( PLAYUVER_INCLUDE_DIRS "" )

LIST(APPEND PLAYUVER_LINKER_LIBS "PlaYUVerLib" )
LIST(APPEND PLAYUVER_INCLUDE_DIRS /usr/include )

# ======================================================
#  PlaYUVer dependencies:
# ======================================================

IF( 1 )
  LIST(APPEND PLAYUVER_INCLUDE_DIRS ${FFMPEG_INCLUDE_DIRS} )
  LIST(APPEND PLAYUVER_LINKER_LIBS opencv_core;opencv_highgui;opencv_imgproc;opencv_video;opencv_videoio )
ENDIF()


IF( TRUE )
  LIST(APPEND PLAYUVER_INCLUDE_DIRS ${OpenCV_INCLUDE_DIRS} )
  LIST(APPEND PLAYUVER_LINKER_LIBS opencv_core;opencv_highgui;opencv_imgproc;opencv_video;opencv_videoio )
ENDIF()

